Bug 982808 - Enable memory cgroup swap accounting on Fedora 19
Enable memory cgroup swap accounting on Fedora 19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 19:41 EDT by Krishna Raman
Modified: 2014-06-18 03:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: kernel-3.10.7-200.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 20:32:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Raman 2013-07-09 19:41:40 EDT
Description of problem:
Related to Bug 918951. OpenShift requires memory.memsw.* in Fedora 19

Version-Release number of selected component (if applicable):
3.9.8-300.fc19

How reproducible:
Always

Steps to Reproduce:
1. Try to use memory.memsw.* in Fedora 19
2.
3.

Actual results:
Controller is not enabled

Expected results:
Controller is enabled and memory.memsw.* exists

Additional info:
Comment 1 Josh Boyer 2013-07-09 22:10:35 EDT
You should be able to enable this with 'swapaccount=1' on the kernel parameter line.
Comment 2 Krishna Raman 2013-07-09 23:27:53 EDT
Hi @Josh, 

I can do that but prefer to have this turned on by default.
Please see Dianel's argument in the linked bug. 

OpenShift uses containers to isolate applications and simply setting a memory limit without a swap limit is not sufficient. I would like to see this functionality enabled by default in the kernel unless there is a big downside to it being present.

Thanks
Comment 3 Josh Boyer 2013-07-10 07:55:17 EDT
It wasn't clear from the original bug that this was something required for Fedora 19, so we didn't enable it there.  Given that we enabled it in rawhide during the 3.10 kernel development window, we'll probably wait until F19 is rebased to 3.10.
Comment 4 Krishna Raman 2013-08-13 21:38:22 EDT
Tested with 3.10.5-201.fc19.x86_64 and the controller is still missing but default in Fedora 19.
Comment 5 Krishna Raman 2013-08-13 21:39:46 EDT
(In reply to Krishna Raman from comment #4)
> Tested with 3.10.5-201.fc19.x86_64 and the controller is still missing but
> default in Fedora 19.

That should be:
  The controller is still missing on a base installation of Fedora 19.
Comment 6 Josh Boyer 2013-08-15 10:34:34 EDT
Thanks for the reminder.  I've made the change and it should show up in the next update.
Comment 7 Fedora Update System 2013-08-16 08:21:13 EDT
kernel-3.10.7-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.10.7-200.fc19
Comment 8 Fedora Update System 2013-08-16 08:23:25 EDT
kernel-3.10.7-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.10.7-100.fc18
Comment 9 Fedora Update System 2013-08-16 18:56:53 EDT
Package kernel-3.10.7-200.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.10.7-200.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14865/kernel-3.10.7-200.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-17 20:32:56 EDT
kernel-3.10.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-17 20:36:39 EDT
kernel-3.10.7-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.